rte_meter_trtcm_rfc4115_params(3)

NAME
rte_meter_trtcm_rfc4115_params

SYNOPSIS

#include <rte_meter.h>

  Data Fields

uint64_t cir
uint64_t eir
uint64_t cbs
uint64_t ebs

Detailed Description

trTCM parameters per metered traffic flow. The CIR, EIR, CBS and EBS parameters only count bytes of IP packets and do not include link specific headers. The CBS and EBS need to be greater than zero if CIR and EIR are none-zero respectively.

Definition at line 61 of file rte_meter.h.

Field Documentation

  uint64_t cir
Committed Information Rate (CIR). Measured in bytes per second.

Definition at line 62 of file rte_meter.h.

  uint64_t eir
Excess Information Rate (EIR). Measured in bytes per second.

Definition at line 63 of file rte_meter.h.

  uint64_t cbs
Committed Burst Size (CBS). Measured in bytes.

Definition at line 64 of file rte_meter.h.

  uint64_t ebs
Excess Burst Size (EBS). Measured in bytes.

Definition at line 65 of file rte_meter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.